export declare type Field = 'second' | 'second-short' | 'second-narrow' | 'minute' | 'minute-short' | 'minute-narrow' | 'hour' | 'hour-short' | 'hour-narrow' | 'day' | 'day-short' | 'day-narrow' | 'week' | 'week-short' | 'week-narrow' | 'month' | 'month-short' | 'month-narrow' | 'quarter' | 'quarter-short' | 'quarter-narrow' | 'year' | 'year-short' | 'year-narrow';
export declare type Unit = 'second' | 'minute' | 'hour' | 'day' | 'week' | 'month' | 'quarter' | 'year';
export declare type Units = 'seconds' | 'minutes' | 'hours' | 'days' | 'weeks' | 'months' | 'quarters' | 'years';
export declare type FormattableUnit = Unit | Units;
export declare const VALID_UNITS: string[];
export declare type RelativeTimeOpt = 'zero' | 'one' | 'two' | 'few' | 'many' | 'other';
export interface LocaleData {
    locale: string;
    parentLocale?: string;
    fields?: LocaleFieldsData;
}
export declare type LocaleFieldsData = {
    [f in Field]: FieldData;
};
export declare type RelativeTimeData = {
    [u in RelativeTimeOpt]?: string;
};
export interface FieldData {
    displayName: string;
    relative: {
        '0'?: string;
        '1'?: string;
        '-1'?: string;
        '2'?: string;
        '-2'?: string;
        '3'?: string;
        '-3'?: string;
    };
    relativePeriod?: string;
    relativeTime: {
        future: RelativeTimeData;
        past: RelativeTimeData;
    };
}
